Skip to main content
POST
Prediction Create

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

entity
string
required
project
string
required

Body

application/json

Request body for creating a Prediction via REST API.

This model excludes project_id since it comes from the URL path in RESTful endpoints.

model
string
required

The model reference (weave:// URI)

inputs
Inputs ยท object
required

The inputs to the prediction

output
any
required

The output of the prediction

evaluation_run_id
string | null

Optional evaluation run ID to link this prediction as a child call

genai_span_ref
GenAISpanRef ยท object[] | null

Optional GenAI span reference(s) produced by this prediction.

Response

Successful Response

prediction_id
string
required

The prediction ID